Loading...
Searching...
No Matches
dataspace File Reference

Dataspace interface. More...

`#include <l4/bid_config.h>`
`#include <l4/sys/types.h>`
`#include <l4/sys/l4int.h>`
`#include <l4/sys/capability>`
`#include <l4/re/protocols.h>`
`#include <l4/sys/cxx/ipc_types>`
`#include <l4/sys/cxx/ipc_iface>`
`#include <l4/sys/cxx/types>`
Include dependency graph for dataspace:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | L4Re::Dataspace
| Interface for memory-like objects. More...
struct | L4Re::Dataspace::F
| Dataspace flags definitions. More...
struct | L4Re::Dataspace::Stats
| Information about the dataspace. More...

## Namespaces

namespace | L4Re
| L4Re C++ Interfaces.

## Detailed Description

Dataspace interface.

Definition in file dataspace.